<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Go](./bitburner.go.md) &gt; [resetBoardState](./bitburner.go.resetboardstate.md)

## Go.resetBoardState() method

Gets new IPvGO subnet with the specified size owned by the listed faction, ready for the player to make a move. This will reset your win streak if the current game is not complete and you have already made moves.

Note that some factions will have a few routers already on the subnet after a reset.

**Signature:**

```typescript
resetBoardState(opponent: GoOpponent, boardSize: 5 | 7 | 9 | 13): string[] | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  opponent | [GoOpponent](./bitburner.goopponent.md) | The opponent faction to play against. "Netburners" \| "Slum Snakes" \| "The Black Hand" \| "Tetrads" \| "Daedalus" \| "Illuminati" \| "????????????" \| "No AI" |
|  boardSize | 5 \| 7 \| 9 \| 13 | The size of the board to play on. Must be 5, 7, 9, or 13. |

**Returns:**

string\[\] \| undefined

a simplified version of the board state as an array of strings representing the board columns. See ns.Go.getBoardState() for full details

## Remarks

RAM cost: 0 GB

